﻿
<div class="modal fade" data-backdrop="static" data-keyboard="false" id="ItemModal" tabindex="-1" role="dialog" aria-labelledby="ItemModal" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div id="divLoadingModal"></div>
        <div class="modal-content">
            <div class="modal-header clearfix">
                <button type="button" onclick="function close(){window.location.reload(true)};close()" class="btn btn-danger btn-xs pull-right" ><span class="glyphicon glyphicon-remove"></span></button>
                <h4 class="modal-title text-center" style="color: darkblue;"><b >@Resources.Content.ManageItem</b></h4>
            </div>
            <div class="modal-body">
                <div class="row">
                    <div class="col-md-6">
                        <input id="Itemid" name="Itemid" type="text" style="display: none;" disabled="disabled" value="" class="form-control" />
                        <div class="form-group">
                            <label for="itemname">@Resources.Content.Name</label>
                            <input id="itemname" name="itemname" placeholder="Enter Item Name" type="text" value="" class="form-control input-sm" style="min-width: 100%" />
                        </div>
                        <div class="form-group">
                            <label for="itemnamekh">@Resources.Content.NameKh</label>
                            <input id="itemnamekh" name="itemnamekh" placeholder="Enter Item Name Khmer" type="text" value="" class="form-control input-sm" style="min-width: 100%" />
                        </div>

                    </div>
                    <div class="col-md-6">
                        <div class="form-group">
                            <label for="prices">@Resources.Content.Price</label>
                            <input id="prices" name="prices" placeholder="Enter Price" type="number" value="0" class="form-control input-sm" style="min-width: 100%" />
                        </div>
                        <div class="form-group">
                            <label for="remark">@Resources.Content.Note</label>
                            <textarea name="remark" id="remark" placeholder="Enter remark" rows="1" style="min-width:100%; max-width:100%" class="form-control input-sm" value=""></textarea>
                        </div>
                    </div>
                </div> 
            </div>
            <div class="modal-footer">
                <button type="button" id="btnAddItem" onclick="AddItemAction()" class="btn btn-primary btn-block btn-sm"><span class="glyphicon glyphicon-plus"></span> @Resources.Content.AddNew</button>
                <button type="button" id="btnSaveItem" onclick="SaveItemAction()" style="display:none" class="btn btn-info btn-block btn-sm"><span class="glyphicon glyphicon-save"></span> @Resources.Content.Save</button>
                <button type="button" id="btnUpdateItem" onclick="UpdateItemAction()" style="display:none" class="btn btn-success btn-block btn-sm"><span class="glyphicon glyphicon-refresh"></span> @Resources.Content.Update</button>
            </div>
        </div>
    </div>
</div>

<script>
    function AddItemAction() {
        document.getElementById('btnAddItem').style.display = "none";
        document.getElementById('btnSaveItem').style.display = "block";
        document.getElementById('btnUpdateItem').style.display = "none";
        EnableControlItem();
        $('#itemname').focus();
    }

    function SaveItemAction() {
        var res = ValidationFormItem();
        if (res == false) {
            return false;
        }
        var data = {
            itemname: $('#itemname').val(),
            itemnamekh: $('#itemnamekh').val(),
            price: $('#prices').val(),
            remark: $('#remark').val(),
            status: true,
        };
        $.ajax({
            url: "/api/Items",
            data: JSON.stringify(data),
            type: "POST",
            contentType: "application/json;charset=utf-8",
            dataType: "json",
            success: function (result) {
                toastr.success("New Item has been Created", "Server Respond");
                $('#tableItem').DataTable().ajax.reload();
                document.getElementById('btnSaveItem').innerText = "Add New";
                DisableControlItem();
                ClearControlItem();
            },
            error: function (errormesage) {
                $('#ItemName').focus();
                toastr.error("This Name is exist in Database", "Server Respond")
            }

        });
    }

    function UpdateItemAction() {
        var res = ValidationFormItem();
        if (res == false) {
            return false;
        }
        var data = {
            id: $('#Itemid').val(),
            itemname: $('#itemname').val(),
            itemnamekh: $('#itemnamekh').val(),
            price: $('#prices').val(),
            remark: $('#remark').val(),
            status: true,
        };
        $.ajax({
            url: "/api/Items/" + data.id,
            data: JSON.stringify(data),
            type: "PUT",
            contentType: "application/json;charset=utf-8",
            dataType: "json",
            success: function (result) {
                //tableItem.DataTable().ajax.reload();
                DisableControlItem();
                ClearControlItem();
                toastr.success("Item has been Updated", "Server Respond");
                //$("#ItemModal").modal('hide');
                window.location.reload(true);
            },
            error: function (errormesage) {
                toastr.error("Item hasn't Updated in Database", "Server Respond")
            }
        });
    }
</script>



